Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2244023002: Fix bugs with SPEC2k for WebAssembly (Closed)

Created:
3 years, 1 month ago by ddchen
Modified:
3 years ago
Reviewers:
Derek Schuff
CC:
native-client-reviews_googlegroups.com, Heejin Ahn
Base URL:
https://chromium.googlesource.com/native_client/src/native_client@master
Target Ref:
refs/heads/master
Project:
nacl
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : Add more fixes #

Patch Set 3 : Specify function pointer types to fix 188.ammp #

Total comments: 2

Patch Set 4 : Drop ifdef's on prototypes, change some function pointer types #

Patch Set 5 : Fix whitespace in patches, add fix for 175.vpr #

Patch Set 6 : Fix 175.vpr command line float arguments as well #

Patch Set 7 : Add TODO for 175.vpr #

Unified diffs Side-by-side diffs Delta from patch set Stats (+476 lines, -8 lines) Patch
A tests/spec2k/164.gzip/diff View 1 2 3 1 chunk +19 lines, -0 lines 0 comments Download
A tests/spec2k/164.gzip/diff.README View 1 1 chunk +1 line, -0 lines 0 comments Download
A tests/spec2k/175.vpr/diff View 1 2 3 4 1 chunk +150 lines, -0 lines 0 comments Download
A tests/spec2k/175.vpr/diff.README View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M tests/spec2k/175.vpr/run.ref.sh View 1 2 3 4 5 1 chunk +4 lines, -2 lines 0 comments Download
M tests/spec2k/175.vpr/run.test.sh View 1 2 3 4 5 1 chunk +4 lines, -2 lines 0 comments Download
M tests/spec2k/175.vpr/run.train.sh View 1 2 3 4 5 1 chunk +4 lines, -2 lines 0 comments Download
A tests/spec2k/188.ammp/diff View 1 2 3 4 1 chunk +199 lines, -0 lines 0 comments Download
A tests/spec2k/188.ammp/diff.README View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
A tests/spec2k/197.parser/diff View 1 2 3 4 1 chunk +74 lines, -0 lines 0 comments Download
A tests/spec2k/197.parser/diff.README View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
A tests/spec2k/300.twolf/diff View 1 2 3 4 1 chunk +12 lines, -0 lines 0 comments Download
A tests/spec2k/300.twolf/diff.README View 1 1 chunk +1 line, -0 lines 0 comments Download
M tests/spec2k/Makefile.common View 1 chunk +1 line, -1 line 0 comments Download
M tests/spec2k/run_all.sh View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 22 (10 generated)
ddchen
This is the first set of fixes.
3 years, 1 month ago (2016-08-12 23:15:13 UTC) #2
Derek Schuff
https://codereview.chromium.org/2244023002/diff/40001/tests/spec2k/197.parser/diff File tests/spec2k/197.parser/diff (right): https://codereview.chromium.org/2244023002/diff/40001/tests/spec2k/197.parser/diff#newcode9 tests/spec2k/197.parser/diff:9: int strncasecmp(const char *s1, const char *s2, size_t); This ...
3 years, 1 month ago (2016-08-15 17:57:45 UTC) #3
ddchen
https://codereview.chromium.org/2244023002/diff/40001/tests/spec2k/197.parser/diff File tests/spec2k/197.parser/diff (right): https://codereview.chromium.org/2244023002/diff/40001/tests/spec2k/197.parser/diff#newcode9 tests/spec2k/197.parser/diff:9: int strncasecmp(const char *s1, const char *s2, size_t); On ...
3 years, 1 month ago (2016-08-16 04:58:52 UTC) #4
Derek Schuff
lgtm
3 years, 1 month ago (2016-08-17 06:13:46 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2244023002/60001
3 years ago (2016-08-19 01:10:51 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: nacl-presubmit on master.tryserver.nacl (JOB_FAILED, http://build.chromium.org/p/tryserver.nacl/builders/nacl-presubmit/builds/797)
3 years ago (2016-08-19 01:13:01 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2244023002/100001
3 years ago (2016-08-19 16:31:24 UTC) #13
ddchen
On 2016/08/19 16:31:24, commit-bot: I haz the power wrote: > CQ is trying da patch. ...
3 years ago (2016-08-19 17:52:12 UTC) #15
Derek Schuff
On 2016/08/19 17:52:12, ddchen wrote: > On 2016/08/19 16:31:24, commit-bot: I haz the power wrote: ...
3 years ago (2016-08-19 18:16:07 UTC) #16
ddchen
On 2016/08/19 18:16:07, Derek Schuff wrote: > On 2016/08/19 17:52:12, ddchen wrote: > > On ...
3 years ago (2016-08-19 22:01:18 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2244023002/120001
3 years ago (2016-08-19 22:19:44 UTC) #20
commit-bot: I haz the power
3 years ago (2016-08-19 23:14:05 UTC) #22
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/native_client/src/native_client/+/090f907ce...

Powered by Google App Engine
This is Rietveld 408576698